Skip to main content

Overview

The Account endpoints in the Hedera Mirror Node REST API provides endpoints to retrieve account details, crypto allowances, token relationships, NFTs owned by accounts, and staking reward payouts. These endpoints are crucial for tracking account balances, permissions, and historical activity.

Endpoints

The following endpoints are available for the Accounts object:
EndpointDescription
GET /api/v1/accountsRetrieves a list of accounts on the network.
GET /api/v1/accounts/{idOrAliasOrEvmAddress}Fetches details of a specific account by ID, alias, or EVM address.
GET /api/v1/accounts/{idOrAliasOrEvmAddress}/allowances/cryptoRetrieves hbar allowances granted by an account.
GET /api/v1/accounts/{idOrAliasOrEvmAddress}/rewardsGets past staking reward payouts for an account.
GET /api/v1/accounts/{idOrAliasOrEvmAddress}/airdrops/outstandingFetches the outstanding token airdrops for a given account.
GET /api/v1/accounts/{idOrAliasOrEvmAddress}/airdrops/pendingFetech the pending token airdrops for a given account.
GET /api/v1/accounts/{idOrAliasOrEvmAddress}/allowances/tokensRetrieves token allowances granted by an account.
GET /api/v1/accounts/{idOrAliasOrEvmAddress}/allowances/nftsRetrieves nft allowances granted by an account.
GET /api/v1/accounts/{idOrAliasOrEvmAddress}/nftsFetches the nfts for an account.

Accounts

The accounts object represents the information associated with an account and returns a list of account information.‌ Account IDs take the following format: 0.0.<account number>.‌ Example: 0.0.1000‌ Account IDs can also take the account number as an input value. For example, for account ID 0.0.1000, the number 1000 can be specified in the request.

EOA Code Delegation field (HIP-1340)

Under the Pectra hard fork (HIP-1340), every account record returned by the Accounts API includes a new delegation_address field. The value is the 20-byte EVM address of the contract whose code executes when the account is called, or 0x if no delegation is configured. This field appears in responses from both:
  • GET /api/v1/accounts
  • GET /api/v1/accounts/{idOrAliasOrEvmAddress}

Example response (delegated account)

{
  "account": "0.0.7488058",
  "alias": "LTKD3QWHBYS2FPYGSNYMRWCHBGCQNKWB",
  "created_timestamp": "1766093540.161994001",
  "decline_reward": false,
  "delegation_address": "0x019b8ee526333d9cbbbc35fff0309794dfa73451",
  "deleted": false
}

Example response (no delegation)

{
  "account": "0.0.2",
  "alias": null,
  "created_timestamp": "1706812520.644859498",
  "decline_reward": false,
  "delegation_address": "0x",
  "deleted": false
}
Externally, the corresponding EVM eth_getCode(account) returns either an empty value (0x) or a 23-byte EIP-7702 Delegation Indicator of the form 0xef0100 ‖ delegation_address. See EOA Code Delegation for the full data model.